
package com.github.mikephil.charting.components;

import android.content.Context;
import android.widget.TextView;

import com.github.mikephil.charting.components.MarkerView;
import com.github.mikephil.charting.data.CandleEntry;
import com.github.mikephil.charting.data.Entry;
import com.github.mikephil.charting.highlight.Highlight;
import com.github.mikephil.charting.utils.Utils;
import com.github.mikephil.charting.components.R;
import anywheresoftware.b4a.BA;

/**
 * Custom implementation of the MarkerView.
 * 
 * @author Philipp Jahoda
 */
 
 
 public class MyMarkerView
  extends MarkerView
{
  private TextView tvContent;
  
  public MyMarkerView(Context paramContext, int paramInt)
  {
    super(paramContext, paramInt);
    
    this.tvContent = ((TextView)findViewById(R.id.tvContent));
  }
  
  public void refreshContent(Entry paramEntry, Highlight paramHighlight)
  {
    if ((paramEntry instanceof CandleEntry))
    {
      CandleEntry localCandleEntry = (CandleEntry)paramEntry;
      
      this.tvContent.setText("" + Utils.formatNumber(localCandleEntry.getHigh(), 0, true));
    }
    else if (this.nod >= 0)
    {
      this.tvContent.setText("" + Utils.formatNumber(paramEntry.getVal(), this.nod, true));
    }
  }
  
  public int getXOffset()
  {
    return -(getWidth() / 2);
  }
  
  public int getYOffset()
  {
    return -getHeight();
  }
  
  private int nod = 0;
  
  public void setNumberOfDigits(int paramInt)
  {
    this.nod = paramInt;
  }
}



 
 
 
 
 
/* public class MyMarkerView1 extends MarkerView {

    private TextView tvContent;

    public MyMarkerView1(Context context, int layoutResource) {
        super(context, layoutResource);

        tvContent = (TextView) findViewById(R.id.tvContent);
    }

    // callbacks everytime the MarkerView is redrawn, can be used to update the
    // content (user-interface)
    @Override
    public void refreshContent(Entry e, Highlight highlight) {

        if (e instanceof CandleEntry) {

            CandleEntry ce = (CandleEntry) e;

            tvContent.setText("" + Utils.formatNumber(ce.getHigh(), 0, true));
        } else {

            tvContent.setText("" + Utils.formatNumber(e.getVal(), 0, true));
        }
    }

    @Override
    public int getXOffset() {
        // this will center the marker-view horizontally
        return -(getWidth() / 2);
    }

    @Override
    public int getYOffset() {
        // this will cause the marker-view to be above the selected value
        return -getHeight();
    }
} */
